> ## Documentation Index
> Fetch the complete documentation index at: https://developer.usewarp.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check

> Returns `200` when the API is up.



## OpenAPI

````yaml /openapi.json get /health
openapi: 3.0.3
info:
  title: Warp API
  version: 1.0.0
  description: >-
    Public Warp API: hosted checkout sessions for Pay with Warp, hosted ZK proof
    verification, and Warp Verify attestation checks.
  contact:
    name: Warp Support
    email: support@usewarp.net
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.usewarp.net
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Checkout sessions
    description: Create and track hosted checkout sessions.
  - name: ZK verification
    description: Verify Groth16 proofs against circuits deployed from the Warp Platform.
  - name: Attestations
    description: Public Warp Verify attestation checks.
  - name: Health
    description: Service status.
paths:
  /health:
    get:
      tags:
        - Health
      summary: Health check
      description: Returns `200` when the API is up.
      operationId: getHealth
      responses:
        '200':
          description: Service is healthy
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: ok
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                error:
                  code: rate_limited
                  message: Too many requests. Retry after the window resets.
      security: []
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
              description: >-
                Machine-readable error code: `invalid_request`, `unauthorized`,
                `not_found`, `proof_not_ready`, `onchain_unavailable`,
                `rate_limited` or `internal_error`.
              example: invalid_request
            message:
              type: string
              description: Human-readable description.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your project secret key: `sk_test_...` (testnet) or `sk_live_...`
        (mainnet). Use it only on your server.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.